- Qt 5.15
- Qt 3D
- C++ Classes
- QDispatchCompute
- Qt 5.15.11 Reference Documentation

# QDispatchCompute Class

class Qt3DRender::QDispatchCompute

FrameGraph node to issue work for the compute shader on GPU. More...

Header: | #include <QDispatchCompute>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | DispatchCompute
Inherits: | Qt3DRender::QFrameGraphNode

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- workGroupX : int
- workGroupY : int
- workGroupZ : int

## Public Functions

| QDispatchCompute(Qt3DCore::QNode *parent = nullptr)
int | workGroupX() const
int | workGroupY() const
int | workGroupZ() const

## Public Slots

void | setWorkGroupX(int workGroupX)
void | setWorkGroupY(int workGroupY)
void | setWorkGroupZ(int workGroupZ)

## Signals

void | workGroupXChanged()
void | workGroupYChanged()
void | workGroupZChanged()

## Detailed Description

A Qt3DRender::QDispatchCompute allows work to be issued for the compute shader to run on the GPU. The workGroupX, workGroupY and workGroupZ properties specify the work group sizes for the compute shader invocation. QComputeCommand components need to be added to entities to instruct Qt3D to select the materials and geometry from the entities for the compute invocation. The work group sizes for the shader invocation will be the maximum of the work group sizes specified in QDispatchCompute and QComputeCommand.

## Property Documentation

### workGroupX : int

Specifies X workgroup.

Access functions:

int | workGroupX() const
void | setWorkGroupX(int workGroupX)

Notifier signal:

void | workGroupXChanged()

### workGroupY : int

Specifies Y workgroup.

Access functions:

int | workGroupY() const
void | setWorkGroupY(int workGroupY)

Notifier signal:

void | workGroupYChanged()

### workGroupZ : int

Specifies Z workgroup.

Access functions:

int | workGroupZ() const
void | setWorkGroupZ(int workGroupZ)

Notifier signal:

void | workGroupZChanged()

## Member Function Documentation

### QDispatchCompute::QDispatchCompute(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.